Name: seiros-build-utils
Summary: Simple utilites that simplify development to me
Version: 1.21
Release: alt1
License: GPL
Group: Development/Other

BuildArch: noarch

Packager: Denis Smirnov <mithraen@altlinux.ru>

Requires: git-svn

Source: %name-%version.tar

# Automatically added by buildreq on Wed Nov 19 2008 (-bi)
BuildRequires: apt-utils dialog etersoft-build-utils gear perl-DBM perl-RPM subversion termutils

%description
%summary

%prep
%setup
%build
%install
mkdir -p %buildroot%_bindir
install -m755 * %buildroot/%_bindir/
%files
%_bindir/*
%changelog
* Fri Jul 03 2009 Denis Smirnov <mithraen@altlinux.ru> 1.21-alt1
- remove ht script (fix conflict with tex4ht).

* Sat Mar 07 2009 Denis Smirnov <mithraen@altlinux.ru> 1.20-alt1
- remove srpm2gear
- remove send-branch
- remove send-devel
- remove sisyphus-list-incoming
- Add seiros-build-utils-functions
- Fix task-run

* Sun Feb 15 2009 Denis Smirnov <mithraen@altlinux.ru> 1.19-alt1
- add task-run utility

* Sun Feb 15 2009 Denis Smirnov <mithraen@altlinux.ru> 1.18-alt1
- add requires to git-svn
- add build-5.0 utility
- add git-show-branchname utility
- add task-ls
- add build-5.0
- add branch5
- add cleanup_repo 
- add git-diffstat
- add hshsh
- add is-noarch
- add h5 (hasher in 5.0 pocket)
- add hp (hasher in any pocket)

* Mon Dec 08 2008 Denis Smirnov <mithraen@altlinux.ru> 1.17-alt1
- add get-gear-archive utility

* Wed Nov 19 2008 Denis Smirnov <mithraen@altlinux.ru> 1.16-alt1
- fix typo in h-cleanup-buffers
- update send-devel utility
- cleanup spec

* Wed Oct 29 2008 Denis Smirnov <mithraen@altlinux.ru> 1.15-alt1
- fix git >= 1.6 compatibility

* Sun Oct 26 2008 Denis Smirnov <mithraen@altlinux.ru> 1.14-alt2
- requires git-core instead of git

* Sat Aug 30 2008 Denis Smirnov <mithraen@altlinux.ru> 1.14-alt1
- ssh-alt: use it from all modules that need acccess to ALTLinux git repo
- h-gen: cleanup
- h-cleanup-dups: support for x86_64, and move noarch packages to noarch subdir
- pockets support update (more useful macros)
- ssh-alt: utility for add altlinux ssh key to ssh-agent
- Add amend utility

* Sun Aug 10 2008 Denis Smirnov <mithraen@altlinux.ru> 1.13-alt1
- rewrite send-devel on perl with autoguess for which incoming package must go
  (Sisyphus/4.0/4.1)

* Sat Aug 02 2008 Denis Smirnov <mithraen@altlinux.ru> 1.12-alt1
- rename gpush -> Gpush (resolve conflict with etersoft-build-utils)

* Sun Jan 06 2008 Denis Smirnov <mithraen@altlinux.ru> 1.11-alt2
- Add un__.sh utility (mike@)

* Mon Dec 24 2007 Denis Smirnov <mithraen@altlinux.ru> 1.11-alt1
- Add multiple useful utitiles for building packages in 'pockets'
- Add h-info utility

* Fri Dec 07 2007 Denis Smirnov <mithraen@altlinux.ru> 1.10-alt1
- Update git-repos-cleanup (use more aggressive --window/--depth)

* Tue Sep 18 2007 Denis Smirnov <mithraen@altlinux.ru> 1.9-alt1
- Really fix (thanks to php-coder@)

* Tue Sep 18 2007 Denis Smirnov <mithraen@altlinux.ru> 1.8-alt1
- Multiple small fixes and cleanups (thanks to php-coder@)

* Sun Sep 16 2007 Denis Smirnov <mithraen@altlinux.ru> 1.7-alt1
- Add 'so-graph' utility (create graphviz file with links in shared objects)

* Sun Mar 18 2007 Denis Smirnov <mithraen@altlinux.ru> 1.6-alt1
- Add 'gpush' utility (create git config from refs/remotes/origin)

* Sat Mar 10 2007 Denis Smirnov <mithraen@altlinux.ru> 1.5-alt1
- Fix 'Pull' for work with last git
- Add 'h' utility (maybe you need to change it for your enviroment)
- Add 'cl-edit' utility, and use it from 'cl-add' utility
- Add 'Add' utility (add to svn/git repo all files in subtree)

* Wed Feb 21 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4-alt1
- update Status utility for correct work with last git

* Sat Feb 17 2007 Denis Smirnov <mithraen@altlinux.ru> 1.3-alt1
- add Status utility (test repo for uncommited files and return -1 if they
  exists)
- use Status utility from Pull (pulling to repo with uncommited files no so
  good idea)

* Sat Feb 10 2007 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt1
- add Pull utility (dialog based interface for pulling from local branch

* Tue Feb 06 2007 Denis Smirnov <mithraen@altlinux.ru> 1.1-alt1
- add send-devel utility (send RPM package to incoming)
- add Co (select branch for git checkout with dialog-based interface)
- add git-repo-cleanup (do git prune/git repack -a -d for all repos in this
  directory tree, that have unpacked objects)
- ptch (create patches from trees with %%.orig/%% filename pairs)
- gear-rel cleanup
- dumb srpm2gear utility (use it only if you sure that it works for you)
- sisyphus-list-incoming -- lists all files in sisyhus incoming/
- cl-add -- easy add and edit changelogs (only for vim users)

* Mon Nov 13 2006 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1
- first build for Sisyphus

